module.exports = {
  title: "PHP程序员的FreeSWITCH开发文档",
  description: "一个PHP程序在做FreeSWITCH相关的应用开发时积累的技术文档",
  dest: "dist",
  plugins: ["@vuepress/back-to-top"],
  head: [
    // 百度统计代码
    [
      "script",
      {},
      `var _hmt = _hmt || [];
      (function() {
        var hm = document.createElement("script");
        hm.src = "https://hm.baidu.com/hm.js?1eb7f71a234c2320b396cbc51c1f047e";
        var s = document.getElementsByTagName("script")[0];
        s.parentNode.insertBefore(hm, s);
      })();`,
    ],
  ],
  themeConfig: {
    lastUpdated: "上次更新",
    displayAllHeaders: false,
    nav: [
      { text: '首页', link: '/' },
      { text: 'FreeSWITCH', link: '/freeswitch/ubuntu1604' },
      { text: 'PHP', link: '/php/php82' }
    ],
    sidebar: {
      '/freeswitch/': [
        'ubuntu1604',
        'fail2ban'
      ],
      '/php/': [
        'nginx',
        'openresty',
        'php82'
      ],
      '/': [
        ''
      ]
    },
  },
};
